---
layout: markdown_page
title: Category maturity
extra_css:
  - "maturity.css"
extra_js:
  - "libs/moment.min.js"
  - "maturity.js"
---

Not all categories are at the same level of maturity, which spans from being
planned, to minimal, and ultimately to lovable. See below for where each
category currently stands and when they will reach higher maturity levels. Also see [use case maturity](/handbook/product/use-cases/#use-case-maturity).

## Category maturity

### Legend

<%= partial "includes/product/maturity_legend" %>

<%
def maturity(category, milestone)
  return case
  when category.lovable && category.lovable <= milestone
    "<span title=\"Lovable\">♥</span>"
  when category.complete && category.complete <= milestone
    "<span title=\"Complete\" class=\"harvey quarters full\"></span>"
  when category.viable && category.viable <= milestone
    "<span title=\"Viable\" class=\"harvey quarters half\"></span>"
  when category.available && category.available <= milestone
    "<span title=\"Minimal\" class=\"harvey quarters quarter\"></span>"
  else
    "<span title=\"Planned\" class=\"harvey\"></span>"
  end
end
%>
| Category                       | Today                      | Q2           | Q3           | Q4           | Q1           |
| *Date*                         | *<span id="today"></span>* | *2019-07-30* | *2019-10-31* | *2019-01-31* | *2020-04-31* |
|--------------------------------|:--------------------------:|:------------:|:------------:|:------------:|:------------:|
<% data.stages.stages.each do |stageKey, stage| %>
  <% categories = data.categories.select{|catKey,cat| cat.stage==stageKey && !cat.hide && !cat.available.blank?} %>
  <% next if categories.empty? %>
  <%= "| **#{stage.display_name}<a name=\"#{stageKey}\"></a>** | | | | |" %>
  <% categories.each do |categoryKey, category| %>
    <% categoryName = category.vision ? "[#{category.name}](#{category.vision})" : category.name %>
    <% today = maturity(category, Date.today) %>
    <% q1 = maturity(category, Date.new(2019,04,30)) %>
    <% q2 = maturity(category, Date.new(2019,07,31)) %>
    <% q3 = maturity(category, Date.new(2019,10,31)) %>
    <% q4 = maturity(category, Date.new(2020,01,31)) %>
    <%= "| #{categoryName} | #{today} | #{q1} | #{q2} | #{q3} | #{q4} |" %>
  <% end %>
<% end %>

## Changes

Changes to category maturity are effected in the [categories.yml](https://gitlab.com/gitlab-com/www-gitlab-com/blob/master/data/categories.yml) file. Changes that impact our stated maturity goals should be approved by the VP of Product.